<ion-content [fullscreen]="true" [scrollEvents]="true">
    <div id="container" class="mt-28" [ngClass]="cartItemsNo>0 ? 'md:mt-52' : 'md:mt-40'">
        <!-- <app-navbar></app-navbar> -->
        <!-- <div class="h-16 md:h-20">
        </div> -->
        <div class="container mx-auto max-w-screen-lg">
            <h2 class="pt-8 text-center text-2xl md:text-4xl font-medium px-4 md:px-0">
                Hãy là một thành viên của <span class="whitespace-nowrap">Hải Sản Hoàng Gia</span>  ngay hôm nay
            </h2>
        </div>
        <div class="container mx-auto max-w-screen-md">
            <div class="text-center mt-8 md:text-xl px-8 md:px-0">
                Nhận ngay Voucher 50.000đ và rất nhiều ưu đãi đặc biệt khi trở thành thành viên
                <span class="whitespace-nowrap">Hải Sản Hoàng Gia</span> 
            </div>
        </div>
        <div class="container mx-auto max-w-screen-lg py-10 pb-20 px-3 md:px-0">
            <div class="mt-10 mb-20">
                <!-- <div class="col-span-4 slogan-register self-center hidden lg:block uppercase">
                    <div>
                        Đăng ký
                    </div>
                    <div class="border-bottom-slogan"></div>
                </div>
                <div class="col-span-4 slogan-register-md self-center hidden md:block lg:hidden uppercase">
                    <div style="padding-right: 20px;">
                        Đăng ký
                    </div>
                    <div class=" border-bottom-slogan"></div>
                </div>
                <div class="col-span-12 slogan-register-sm block md:hidden uppercase">
                    <div class="flex justify-center text-center">
                        Đăng ký
                    </div>
                    <div class="line flex justify-center">
                        <div class="spec"></div>
                    </div>
                </div> -->
                <div class="md:col-span-12 col-span-12 mx-0 md:mx-40">
                    <div class="row-login md:px-5 px-5">
                        <div class="col-span-12 md:col-span-8 px-0 md:px-8 w-full">
                            <form [formGroup]="secondFormGroup">
                                <div class="text-danger" *ngIf="mess">
                                    *Email đã tồn tại
                                </div>
                                <div class="row-input">
                                    <div>
                                        <mat-form-field class="w-full">
                                            <mat-label>Họ</mat-label>
                                            <input matInput formControlName="lastName" placeholder="Họ" required />
                                            <mat-error *ngIf="
                                                                secondFormGroup.hasError(
                                                                    'required',
                                                                    'lastName'
                                                                )
                                                            ">
                                                Họ là bắt buộc
                                            </mat-error>
                                        </mat-form-field>
                                    </div>
                                </div>
                                <div class="row-input">
                                    <div>
                                        <mat-form-field class="w-full">
                                            <mat-label>Tên</mat-label>
                                            <input matInput formControlName="firstName" placeholder="Tên" required />
                                            <mat-error *ngIf="
                                                                secondFormGroup.hasError(
                                                                    'required',
                                                                    'firstName'
                                                                )
                                                            ">
                                                Tên là bắt buộc
                                            </mat-error>
                                        </mat-form-field>
                                    </div>
                                </div>
                                <div class="row-input">
                                    <div>
                                        <mat-form-field class="w-full">
                                            <mat-label>Số điện thoại</mat-label>
                                            <input matInput formControlName="phone" required
                                                placeholder="Số điện thoại" />
                                            <mat-error *ngIf="
                                                                secondFormGroup.hasError(
                                                                    'required',
                                                                    'phone'
                                                                )
                                                            ">
                                                Số điện thoại là bắt buộc
                                            </mat-error>
                                            <mat-error *ngIf="
                                                                secondFormGroup.hasError(
                                                                    'minlength',
                                                                    'phone'
                                                                ) &&
                                                                !secondFormGroup.hasError(
                                                                    'pattern',
                                                                    'phone'
                                                                )
                                                            ">
                                                Số điện thoại không hợp lệ
                                            </mat-error>
                                            <mat-error *ngIf="
                                                                secondFormGroup.hasError(
                                                                    'maxlength',
                                                                    'phone'
                                                                ) &&
                                                                !secondFormGroup.hasError(
                                                                    'pattern',
                                                                    'phone'
                                                                )
                                                            ">
                                                Số điện thoại không hợp lệ
                                            </mat-error>
                                            <mat-error *ngIf="
                                                                secondFormGroup.hasError(
                                                                    'pattern',
                                                                    'phone'
                                                                )
                                                            ">
                                                Số điện thoại phải là số
                                            </mat-error>
                                        </mat-form-field>
                                    </div>
                                </div>
                                <div class="row-input">
                                    <div>
                                        <mat-form-field class="w-full">
                                            <mat-label>Email</mat-label>
                                            <input matInput formControlName="email" placeholder="Email" required />
                                            <mat-error *ngIf="
                                                                secondFormGroup.hasError(
                                                                    'required',
                                                                    'email'
                                                                )
                                                            ">Email là bắt buộc
                                            </mat-error>
                                            <mat-error *ngIf="
                                                                secondFormGroup.hasError(
                                                                    'email',
                                                                    'email'
                                                                )
                                                            ">Email không hợp lệ
                                            </mat-error>
                                        </mat-form-field>
                                    </div>
                                </div>
                            </form>
                            <form [formGroup]="passGroup">
                                <div class="row-input">
                                    <div>
                                        <mat-form-field class="w-full">
                                            <mat-label>Mật khẩu</mat-label>
                                            <input matInput formControlName="pass" type="password" class=" focus:ring-0"
                                                #pass placeholder="Mật khẩu" required />
                                            <mat-error *ngIf="
                                                                passGroup.hasError(
                                                                    'required',
                                                                    'pass'
                                                                )
                                                            ">Mật khẩu là bắt buộc
                                            </mat-error>
                                            <mat-error *ngIf="
                                                                passGroup.hasError(
                                                                    'minlength',
                                                                    'pass'
                                                                ) &&
                                                                !passGroup.hasError(
                                                                    'required',
                                                                    'pass'
                                                                )
                                                            ">Mật khẩu phải ít nhất 6 kí tự
                                            </mat-error>
                                        </mat-form-field>
                                    </div>
                                </div>
                                <div class="row-input">
                                    <div>
                                        <mat-form-field class="w-full" style="outline: none">
                                            <mat-label>Xác nhận mật khẩu</mat-label>
                                            <input matInput formControlName="confirmPass"
                                                class="focus:outline-none focus:ring-0" type="password"
                                                placeholder="Xác nhận mật khẩu" [errorStateMatcher]="matcher"
                                                required />
                                            <mat-error *ngIf="
                                                                passGroup.hasError(
                                                                    'notSame'
                                                                )
                                                            ">Mật khẩu xác nhận không khớp
                                            </mat-error>
                                        </mat-form-field>
                                    </div>
                                </div>
                            </form>

                            <form [formGroup]="dateGroup">
                                <div class="row-input">
                                    <div>
                                        <mat-form-field>
                                            <mat-label>Ngày sinh</mat-label>
                                            <input matInput 
                                                [matDatepicker]="picker"
                                                formControlName="birthday"
                                            >
                                            <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                                            <mat-datepicker #picker></mat-datepicker>
                                        </mat-form-field>
                                    </div>
                                </div>

                                <div class="row-input">
                                    <div>
                                        Giới tính
                                    </div>
                                </div>

                                <div class="row-input">
                                    <div class="mb-8">
                                        <mat-radio-group formControlName="gender">
                                            <mat-radio-button color="primary" value="NAM" class="mr-4">Nam</mat-radio-button>
                                            <mat-radio-button color="primary" value="NU">Nữ</mat-radio-button>
                                        </mat-radio-group>
                                    </div>
                                </div>

                                <div class="row-input">
                                    <div>
                                        <mat-form-field class="w-full">
                                            <mat-label>Tỉnh/Thành phố</mat-label>
                                            <mat-select formControlName="province">
                                                <mat-option
                                                    *ngFor="
                                                        let item of (provinces$ | async)?.edges;
                                                        index as index
                                                    "
                                                    [value]="item.node.id"
                                                    (onSelectionChange)="changeProvince($event, item)"
                                                >
                                                    {{ item.node.nameProvince }}
                                                </mat-option>
                                            </mat-select>
                                        </mat-form-field>
                                    </div>
                                </div>

                                <div class="row-input">
                                    <div>
                                        <mat-form-field class="w-full">
                                            <mat-label>Quận/Huyện</mat-label>
                                            <mat-select formControlName="district">
                                                <mat-option
                                                    *ngFor="
                                                        let item of (districts$ | async)?.edges;
                                                        index as index
                                                    "
                                                    [value]="item.node.id"
                                                    (onSelectionChange)="changeDistrict($event, item)"
                                                >
                                                    {{ item.node.nameDistrict }}
                                                </mat-option>
                                            </mat-select>
                                        </mat-form-field>
                                    </div>
                                </div>

                                <div class="row-input">
                                    <div>
                                        <mat-form-field class="w-full">
                                            <mat-label>Phường/Xã</mat-label>
                                            <mat-select formControlName="ward">
                                                <mat-option
                                                    *ngFor="
                                                        let item of (wards$ | async)?.edges;
                                                        index as index
                                                    "
                                                    [value]="item.node.id"
                                                >
                                                    {{ item.node.nameWard }}
                                                </mat-option>
                                            </mat-select>
                                        </mat-form-field>
                                    </div>
                                </div>

                                <div class="row-input">
                                    <div>
                                        <mat-form-field class="w-full">
                                            <mat-label>Địa chỉ</mat-label>
                                            <input matInput formControlName="street"
                                                placeholder="Địa chỉ" />
                                        </mat-form-field>
                                    </div>
                                </div>
                            </form>

                            <div class="row-input">
                                <div>
                                    (<span class="text-red-500">*</span>)Thông tin cần thiết
                                </div>
                                <div class="pb-2">
                                    Bạn sẽ nhận được phần thưởng đặc biệt nếu bạn đăng ký với thông tin đầy đủ.
                                </div>
                                <div class="text-sm py-2">
                                    <mat-checkbox>
                                        Tôi đã đọc và đồng ý với các <a href="http://localhost:4202/home" class="font-medium underline" >Chính Sách hoạt động của Hải Sản Hoàng Gia</a>
                                    </mat-checkbox>
                                </div>
                                <div class="text-sm py-2">
                                    <mat-checkbox>
                                        Vâng tôi đồng ý nhận bản tin từ Hải Sản Hoàng Gia qua email
                                    </mat-checkbox>
                                </div>
                            </div>

                            <!-- <div class="w-full justify-center mx-auto mt-4 px-4 text-center">
                                <button class="text-center bg-custom w-1/3" type="submit" mat-button
                                    (click)="register(pass.value)" [disabled]="
                                                    passGroup.invalid ||
                                                    secondFormGroup.invalid
                                                ">Tiếp tục
                                    <mat-icon style="
                                                        float: right;
                                                        padding-top: 7px;
                                                    ">arrow_right_alt</mat-icon>
                                </button>
                                <div class="back-login mt-1">
                                    <mat-icon class="icon">keyboard_backspace</mat-icon>
                                    <a routerLink="/auth/login" class="text-black margin-left-20px">Trở về trang
                                        trước</a>
                                </div>
                            </div> -->

                            <div class=" mb-5 md:mb-0">
                                <div class="grid grid-cols-12 justify-center mt-5">
                                    <div class="md:col-start-3 md:col-end-11 lg:col-start-4 lg:col-end-10 col-start-2 col-end-12 col-btn-fp px-2">
                                        <button class="text-center bg-custom w-full" type="submit" mat-button
                                            (click)="register(pass.value)" [disabled]="
                                                            passGroup.invalid ||
                                                            secondFormGroup.invalid
                                                        ">Tiếp tục
                                            <mat-icon style="
                                                                float: right;
                                                                padding-top: 7px;
                                                            ">arrow_right_alt</mat-icon>
                                        </button>
                                    </div>
                                </div>
                                <div class="grid grid-cols-12 justify-center ">
                                    <div class="md:col-start-3 md:col-end-11 lg:col-start-4 lg:col-end-10 col-start-4 col-end-10 col-btn-fp md:px-2 px-0">
                                        <div class="back-register mt-1 justify-center text-center md:text-center">
                                            <mat-icon class="icon">keyboard_backspace</mat-icon>
                                            <a routerLink="/auth/login" class="text-black margin-left-20px">Trở về trang
                                                trước</a>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <!-- <div class="grid grid-cols-12 mt-4 mb-2 justify-center md:justify-start btn-login">
                                <div class="col-start-2 col-end-12 sm:col-span-8 lg:col-span-7 xl:col-span-5">
                                    <button class="w-full" type="submit" mat-raised-button
                                        (click)="register(pass.value)" [disabled]="
                                                        passGroup.invalid ||
                                                        secondFormGroup.invalid
                                                    ">Tiếp tục
                                        <mat-icon style="
                                                            float: right;
                                                            padding-top: 7px;
                                                        ">arrow_right_alt</mat-icon>
                                    </button>
                                    <div class="back-login mt-1">
                                        <mat-icon class="icon">keyboard_backspace</mat-icon>
                                        <a routerLink="/auth/login" class="text-black margin-left-20px">Trở về trang
                                            trước</a>
                                    </div>
                                </div>
                            </div> -->
                            <div class="space"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <app-footer></app-footer>
        <!-- <div class="fixed bottom-20 md:bottom-24 md:right-9 right-5 z-50" onclick="location.href='tel:+84878879959';">
            <img [src]="'assets/image/telephone.svg'" class="cursor-pointer md:h-12 md:w-12 h-10 w-10" alt="messenger">
        </div>
        <div class="fixed bottom-5 md:bottom-7 md:right-9 right-5 z-50" onclick=" window.open('https://m.me/ABHomeDecoration')">
            <img [src]="'assets/image/messenger.svg'" class="cursor-pointer md:h-12 md:w-12 h-10 w-10" alt="messenger">
        </div> -->
    </div>

</ion-content>